package com.company.comboboxissue.entity;

import com.fasterxml.jackson.annotation.JsonAnyGetter;
import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import jakarta.validation.constraints.NotNull;
import java.util.UUID;

@JmixEntity
@Table(name = "MY_ENTITY")
@Entity
public class MyEntity {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @Column(name = "MANDARY_FIELD", nullable = false)
    @NotNull
    private String mandaryField;

    @Column(name = "ANOTHER_MANDATORY_FIELD", nullable = false)
    @NotNull
    private String anotherMandatoryField;

    public String getAnotherMandatoryField() {
        return anotherMandatoryField;
    }

    public void setAnotherMandatoryField(String anotherMandatoryField) {
        this.anotherMandatoryField = anotherMandatoryField;
    }

    public String getMandaryField() {
        return mandaryField;
    }

    public void setMandaryField(String mandaryField) {
        this.mandaryField = mandaryField;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

}